From 3ad53c74182930a58ba0840918e21854595f9842 Mon Sep 17 00:00:00 2001
From: Mark Dilger <mark.dilger@enterprisedb.com>
Date: Mon, 31 Aug 2020 14:53:01 -0700
Subject: [PATCH v6 3/3] Updating prorows for pg_get_keywords()

The number of keywords returned by pg_get_keywords() is known
precisely.  It happens to be 450 as of this commit.  It might slowly
change with future commits, but it is not 400 as pg_proc.dat was
claiming, and there does not seem to be any advantage to leaving it
at 400.

Nothing in this patch series depends on this one patch being committed.
If the committer who picks up this patch series wants to just throw
this third patch file away, that works fine.
---
 src/include/catalog/pg_proc.dat | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/include/catalog/pg_proc.dat b/src/include/catalog/pg_proc.dat
index b4c4fe8a5c..8fdbd75ad1 100644
--- a/src/include/catalog/pg_proc.dat
+++ b/src/include/catalog/pg_proc.dat
@@ -3675,7 +3675,7 @@
   prosrc => 'pg_get_function_arg_default' },
 
 { oid => '1686', descr => 'list of SQL keywords',
-  proname => 'pg_get_keywords', procost => '10', prorows => '400',
+  proname => 'pg_get_keywords', procost => '10', prorows => '450',
   proretset => 't', provolatile => 's', prorettype => 'record',
   proargtypes => '', proallargtypes => '{text,char,text,text}',
   proargmodes => '{o,o,o,o}', proargnames => '{word,catcode,catdesc,aliastype}',
-- 
2.21.1 (Apple Git-122.3)

